Index: src/work/marci/preflow_demo_jacint.cc
===================================================================
--- src/work/marci/preflow_demo_jacint.cc	(revision 921)
+++ src/work/marci/preflow_demo_jacint.cc	(revision 986)
@@ -32,10 +32,10 @@
   int cut_value=0;
   for(EachEdgeIt e=G.first<EachEdgeIt>(); e.valid(); ++e) {
-    if (cut.get(G.tail(e)) && !cut.get(G.head(e))) cut_value+=cap.get(e);
+    if (cut.get(G.source(e)) && !cut.get(G.target(e))) cut_value+=cap.get(e);
   }
   double post_time=currTime();
   //std::cout << "maximum flow: "<< std::endl;
   //for(EachEdgeIt e=G.first<EachEdgeIt>(); e.valid(); ++e) { 
-  //  std::cout<<"("<<G.tail(e)<< "-"<<flow.get(e)<<"->"<<G.head(e)<<") ";
+  //  std::cout<<"("<<G.source(e)<< "-"<<flow.get(e)<<"->"<<G.target(e)<<") ";
   //}
   //std::cout<<std::endl;
@@ -56,10 +56,10 @@
   int cut_value=0;
   for(EachEdgeIt e=G.first<EachEdgeIt>(); e.valid(); ++e) {
-    if (cut.get(G.tail(e)) && !cut.get(G.head(e))) cut_value+=cap.get(e);
+    if (cut.get(G.source(e)) && !cut.get(G.target(e))) cut_value+=cap.get(e);
   }
   double post_time=currTime();
   //std::cout << "maximum flow: "<< std::endl;
   //for(EachEdgeIt e=G.first<EachEdgeIt>(); e.valid(); ++e) { 
-  //  std::cout<<"("<<G.tail(e)<< "-"<<flow.get(e)<<"->"<<G.head(e)<<") ";
+  //  std::cout<<"("<<G.source(e)<< "-"<<flow.get(e)<<"->"<<G.target(e)<<") ";
   //}
   //std::cout<<std::endl;
